# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteCallListener

Packages that use IRemoteCallListener
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client

## Uses of IRemoteCallListener in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that return IRemoteCallListener
Modifier and Type
Method
Description
`protected IRemoteCallListener`
Request.`getListener()`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteCallListener
Modifier and Type
Method
Description
`void`
RemoteServiceImpl.`callAsync(IRemoteCall call, IRemoteCallListener listener)`
`protected void`
RegistrySharedObject.`fireCallCompleteEvent(IRemoteCallListener listener, long requestId, Object response, boolean hadException, Throwable exception)`
`protected void`
RegistrySharedObject.`fireCallStartEvent(IRemoteCallListener listener, long requestId, IRemoteServiceReference reference, IRemoteCall call)`
`protected void`
RegistrySharedObject.`sendCallRequestWithListener(RemoteServiceRegistrationImpl remoteRegistration, IRemoteCall call, IRemoteCallListener listener)`
Constructors in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteCallListener
Modifier
Constructor
Description
``
`Request(ID requestContainerID, long serviceId, RemoteCallImpl call, IRemoteCallListener listener)`

## Uses of IRemoteCallListener in org.eclipse.ecf.remoteservice

Classes in org.eclipse.ecf.remoteservice that implement IRemoteCallListener
Modifier and Type
Class
Description
`class`
`AbstractRemoteCallListener`
Abstract implementer of IRemoteCallListener.
`class`
`CallbackRemoteCallListener`
Methods in org.eclipse.ecf.remoteservice that return IRemoteCallListener
Modifier and Type
Method
Description
`IRemoteCallListener`
AbstractRemoteService.AsyncArgs.`getListener()`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteCallListener
Modifier and Type
Method
Description
`static void`
RemoteServiceHelper.`asyncExec(IRemoteService remoteService, String method, Object[] parameters, long timeout, IRemoteCallListener listener)`
Invoke given method asynchronously, and call listener upon successful completion.
`static void`
RemoteServiceHelper.`asyncExec(IRemoteService remoteService, String method, Object[] parameters, IRemoteCallListener listener)`
Invoke given method asynchronously, and call listener upon successful completion.
`void`
IRemoteService.`callAsync(IRemoteCall call, IRemoteCallListener listener)`
Call remote method specified by call parameter asynchronously, and notify specified listener when call starts and completes.
`protected Object`
AbstractRemoteService.`callAsyncWithResult(IRemoteCall call, IRemoteCallListener listener)`
`protected void`
AbstractRemoteService.`callAsyncWithTimeout(IRemoteCall call, Callable<IRemoteCallCompleteEvent> callable, IRemoteCallListener callback)`
Constructors in org.eclipse.ecf.remoteservice with parameters of type IRemoteCallListener
Modifier
Constructor
Description
``
`AsyncArgs(IRemoteCallListener listener, Object[] originalArgs)`

## Uses of IRemoteCallListener in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteCallListener
Modifier and Type
Method
Description
`protected void`
AbstractClientService.`callAsync(IRemoteCall call, IRemoteCallable restClientCallable, IRemoteCallListener listener)`
`void`
AbstractClientService.`callAsync(IRemoteCall call, IRemoteCallListener listener)`
`void`
AbstractRSAClientService.`callAsync(IRemoteCall call, IRemoteCallListener listener)`
Constructors in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteCallListener
Modifier
Constructor
Description
``
`AsyncResult(IRemoteCall call, IRemoteCallable callable, IRemoteCallListener listener)`